import asyncio

from aiohttp import web
from v6d0auth.config import port, host

from v6d1tokens.app import get_app
from v6d1tokens.tdb import TDB

if __name__ == '__main__':
    loop = asyncio.get_event_loop()
    tdb = TDB()
    loop.run_until_complete(tdb.db.__aenter__())
    try:
        web.run_app(get_app(tdb), host=host, port=port, loop=loop)
    finally:
        loop.run_until_complete(tdb.db.__aexit__(None, None, None))
